Update a Contact
curl --request PATCH \
--url https://api.aisa.one/apis/v1/apollo/contacts/{contact_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"first_name": "<string>",
"last_name": "<string>",
"organization_name": "<string>",
"title": "<string>",
"account_id": "<string>",
"email": "<string>",
"website_url": "<string>",
"label_names": "<string>",
"contact_stage_id": "<string>",
"present_raw_address": "<string>",
"direct_phone": "<string>",
"corporate_phone": "<string>",
"mobile_phone": "<string>",
"home_phone": "<string>",
"other_phone": "<string>",
"typed_custom_fields": {}
}
'import requests
url = "https://api.aisa.one/apis/v1/apollo/contacts/{contact_id}"
payload = {
"first_name": "<string>",
"last_name": "<string>",
"organization_name": "<string>",
"title": "<string>",
"account_id": "<string>",
"email": "<string>",
"website_url": "<string>",
"label_names": "<string>",
"contact_stage_id": "<string>",
"present_raw_address": "<string>",
"direct_phone": "<string>",
"corporate_phone": "<string>",
"mobile_phone": "<string>",
"home_phone": "<string>",
"other_phone": "<string>",
"typed_custom_fields": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
first_name: '<string>',
last_name: '<string>',
organization_name: '<string>',
title: '<string>',
account_id: '<string>',
email: '<string>',
website_url: '<string>',
label_names: '<string>',
contact_stage_id: '<string>',
present_raw_address: '<string>',
direct_phone: '<string>',
corporate_phone: '<string>',
mobile_phone: '<string>',
home_phone: '<string>',
other_phone: '<string>',
typed_custom_fields: {}
})
};
fetch('https://api.aisa.one/apis/v1/apollo/contacts/{contact_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"contact": {},
"contact.id": "<string>",
"contact.first_name": "<string>",
"contact.last_name": "<string>",
"contact.email": "<string>",
"contact.title": "<string>",
"contact.organization_name": "<string>",
"contact.owner_id": "<string>",
"contact.account_id": "<string>",
"contact.present_raw_address": "<string>"
}Contacts
Update a Contact
Update fields on an existing contact.
PATCH
https://api.aisa.one/apis/v1
/
apollo
/
contacts
/
{contact_id}
Update a Contact
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Contact ID
Body
application/json
First name
Last name
Organization name
Title
Account ID
Website URL
Labels to set on the contact
Contact stage ID
Raw address
Direct phone
Corporate phone
Mobile phone
Home phone
Other phone
Typed custom fields object
Response
Successful response
Updated contact
Contact ID
First name
Last name
Title
Organization name
Owner ID
Account ID
Raw address
⌘I